﻿Функция ОписаниеОтветаСгенерить(Текст,Ошибка, ТипВызова,ТаблицаЗначенийОтвета=Неопределено,ErrorCode = "") Экспорт 
	//ES Ситало А И 27.10.2020 11:49:10{
	СоответствиеТекста = Новый Соответствие;
	ОбработкаJSON = Обработки.JSON_and_UnJSON.Создать();
	Ответ = "";
	
	Если  ТипВызова = "catalog" Тогда 
		Если Ошибка Тогда 
			СоответствиеТекста.Вставить("success","false");
			Если ЗначениеЗаполнено(ТаблицаЗначенийОтвета) Тогда 
				СоответствиеТекста.Вставить("error",ТаблицаЗначенийОтвета[0].error);
			Иначе 
				СоответствиеТекста.Вставить("error",Текст);
			КонецЕсли;
			Ответ = ОбработкаJSON.JSON(СоответствиеТекста, Истина);
		Иначе 
			СоответствиеТекста.Вставить("Success","true");
			Ответ = ОбработкаJSON.JSON(СоответствиеТекста, Истина);
		КонецЕсли;
	КонецЕсли;
	
	Возврат Ответ;


	//}ES Ситало А И
КонецФункции

Функция ЗагрузкаСправочника(Запрос) Экспорт 
	//ES Ситало А И 26.10.2020 12:12:28{
	Ответ = Новый HTTPСервисОтвет(200);
	
	ApiKey = Запрос.ПараметрыЗапроса.Получить("key");
	
	Если ApiKey = НастройкиИнтеграции.ПолучитьКлюч() Тогда 
		
		Type =  Запрос.ПараметрыЗапроса.Получить("type");
		Если  Type = "client" Тогда 
			ТекТекстЗапроса = Запрос.ПолучитьТелоКакСтроку();
			ОбработкаJSON = Обработки.JSON_and_UnJSON.Создать();
			ОтветJSON =  ОбработкаJSON.UnJSON(ТекТекстЗапроса);
			
			ТаблицаЗначенийОтвета  = Новый ТаблицаЗначений();
			//надо ОтветJSON проверить на правильность заполнения!!!
			ОтветНаПроверкуСтруктурыCatalog = HTTPСервисПроверкаСтруктурыВхода.ПроверитьСтруктуруВходаCatalog(ОтветJSON);
			ПрошлаПроверку = ОтветНаПроверкуСтруктурыCatalog.Получить("ПрошлаПроверку") ;
			Если ПрошлаПроверку Тогда
				СтруктураОтвета = ОбщегоНазнченияСозданияНСИ.СозданиеКонтрагентов(ОтветJSON);		
				Если Не СтруктураОтвета.Ошибка Тогда 
					ТекстТек =  ОтветНаПроверкуСтруктурыCatalog.Получить("ТекстОшибки") ;
					СообщениеОшибки =  ОписаниеОтветаСгенерить(ТекстТек,Ложь,"catalog",ТаблицаЗначенийОтвета);
					Ответ.УстановитьТелоИзСтроки(СообщениеОшибки);	
				Иначе
					ТекстТек =  СтруктураОтвета.ТекстОшибки ;
					СообщениеОшибки =  ОписаниеОтветаСгенерить(ТекстТек,Истина,"catalog",ТаблицаЗначенийОтвета);
					Ответ = Новый HTTPСервисОтвет(400);
					Ответ.УстановитьТелоИзСтроки(СообщениеОшибки);					
				КонецЕсли;
			Иначе 
				ТаблицаЗначенийОтвета  = Новый ТаблицаЗначений();		
				ТаблицаЗначенийОтвета.Колонки.Добавить("error");
				
				СТ_Доб = ТаблицаЗначенийОтвета.Добавить();
				СТ_Доб.error			=  ОтветНаПроверкуСтруктурыCatalog.Получить("ТекстОшибки");
					
				ТекстТек =  ОтветНаПроверкуСтруктурыCatalog.Получить("ТекстОшибки") ;
				СообщениеОшибки =  ОписаниеОтветаСгенерить(ТекстТек,Истина,"catalog",ТаблицаЗначенийОтвета);
				Ответ = Новый HTTPСервисОтвет(400);
				Ответ.УстановитьТелоИзСтроки(СообщениеОшибки);	
			КонецЕсли;
		Иначе 
			ТекстТек =  "Не правильный тип справочника" ;
			СообщениеОшибки =  ОписаниеОтветаСгенерить(ТекстТек,Истина,"catalog",ТаблицаЗначенийОтвета);
			Ответ = Новый HTTPСервисОтвет(400);
			Ответ.УстановитьТелоИзСтроки(СообщениеОшибки);	
			
		КонецЕсли;
	Иначе 
		ТекстТек =  "Ошибка при подключении" ;
		СообщениеОшибки =  ОписаниеОтветаСгенерить(ТекстТек,Истина,"catalog",ТаблицаЗначенийОтвета);
		Ответ = Новый HTTPСервисОтвет(400);
		Ответ.УстановитьТелоИзСтроки(СообщениеОшибки);	
		
	КонецЕсли;
	//Ответ.УстановитьТелоИзСтроки(СообщениеОшибки);	
	Возврат Ответ;
	//}ES Ситало А И
КонецФункции


